BimpДовідка

Додаткові витрати: методи API Bimp

Методи API Bimp для ресурсу «Додаткові витрати» (/org2/additionalSpendings/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/additionalSpendings/api-readListA request to get a list of additional spendings documents
POST /org2/additionalSpendings/api-readA request to get detailed information about a single additional spendings document
POST /org2/additionalSpendings/api-createA request to create a new additional spendings document
POST /org2/additionalSpendings/api-updateA request to update an existing additional spendings document

api-readList

POST /org2/additionalSpendings/api-readList

A request to get a list of additional spendings documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
filtersobject
filters.namestringFilter by document number
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.showArchivedbooleanInclude archived documents
filters.authorstring (uuid)[]
filters.organizationstring (uuid)[]
filters.counterpartystring (uuid)[]
filters.operationnumber[]
filters.sumobject[]
filters.dateobject[]

Відповідь: поле data

ПолеТипОпис
totalnumberTotal number of documents
rowsobject[]
rows[].uuidstring (uuid)
rows[].numberstring
rows[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
rows[].commentstringAn optional text field for any additional notes or comments related to the document
rows[].archivedboolean
rows[].sumnumber
rows[].documentTypenumber
rows[].authorstring (uuid)
rows[].organizationstring (uuid)
rows[].counterpartystring (uuid)
rows[].operationnumber
rows[].currencyobject
rows[].currency.uuidstring (uuid)
rows[].currency.namestring
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/additionalSpendings/api-read

A request to get detailed information about a single additional spendings document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for an additional spendings document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
commentstringAn optional text field for any additional notes or comments related to the document
archivedboolean
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
statusstring (uuid)Document status uuid
servicestring (uuid)Nomenclature uuid for the additional expense
operationnumberOperation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order
documentSumnumber
sumnumber
quantitynumber
distributeBynumber
currencystring (uuid)
invoiceForSupplierPaymentstring (uuid)
daysPostponedstring (uuid)
VATaccountedboolean
VATamountnumber
processingbooleanAn informational flag marking the document as related to tolling (processing)
mutualSettlementTypestring (uuid)
productsobject[]
products[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberThe amount of items
products[].pricenumberThe price of the item/document
products[].sumnumberThe sum of the document
products[].expenseSumnumberExpense amount allocated to this product line
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
products[].VATamountnumberThe amount of the VAT
products[].totalnumberLine total including VAT
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].baseDocumentstring (uuid)Base document uuid for this product line
expensesobject[]
expenses[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
expenses[].quantitynumberThe amount of items
expenses[].pricenumberThe price of the item/document
expenses[].sumnumberThe sum of the document
expenses[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
expenses[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
expenses[].VATamountnumberThe amount of the VAT
expenses[].totalnumberLine total including VAT
paymentCalendarobject[]
paymentCalendar[].receiptDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
paymentCalendar[].receiptSumnumberPlanned receipt amount
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/additionalSpendings/api-create

A request to create a new additional spendings document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
counterpartystring (uuid)такA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
authorstring (uuid)такA unique identifier for the Author, obtainable from the /user/api-readList request
operationnumberтакOperation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
contractstring (uuid)такThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
statusstring (uuid)Document status uuid
servicestring (uuid)такNomenclature uuid for the additional expense
documentSumnumberтакDocument sum of the additional expense
sumnumberThe sum of the document
quantitynumberQuantity of the expense service
distributeBynumberExpense distribution method (e.g. by sum or by quantity)
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
daysPostponedstring (uuid)The amount of the days postponed
VATaccountedbooleanBoolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations.
VATamountnumberThe total amount of Value Added Tax (VAT) applied
processingbooleanAn informational flag marking the document as related to tolling (processing)
mutualSettlementTypestring (uuid)Mutual settlement type uuid
productsobject[]так
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberтакThe amount of items
products[].pricenumberThe price of the item/document
products[].sumnumberThe sum of the document
products[].expenseSumnumberExpense amount allocated to this product line
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
products[].VATamountnumberThe amount of the VAT
products[].totalnumberLine total including VAT
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].baseDocumentstring (uuid)Base document uuid for this product line
expensesobject[]
expenses[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
expenses[].quantitynumberтакThe amount of items
expenses[].pricenumberThe price of the item/document
expenses[].sumnumberThe sum of the document
expenses[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
expenses[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
expenses[].VATamountnumberThe amount of the VAT
expenses[].totalnumberLine total including VAT
paymentCalendarobject[]
paymentCalendar[].receiptDatestringтакThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
paymentCalendar[].receiptSumnumberтакPlanned receipt amount

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","operation":1,"contract":"00000000-0000-0000-0000-000000000000","service":"00000000-0000-0000-0000-000000000000","documentSum":1,"products":[{}]}'

api-update

POST /org2/additionalSpendings/api-update

A request to update an existing additional spendings document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
operationnumberOperation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
statusstring (uuid)Document status uuid
servicestring (uuid)Nomenclature uuid for the additional expense
documentSumnumberDocument sum of the additional expense
sumnumberThe sum of the document
quantitynumberQuantity of the expense service
distributeBynumberExpense distribution method (e.g. by sum or by quantity)
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
daysPostponedstring (uuid)The amount of the days postponed
VATaccountedbooleanBoolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations.
VATamountnumberThe total amount of Value Added Tax (VAT) applied
processingbooleanAn informational flag marking the document as related to tolling (processing)
mutualSettlementTypestring (uuid)Mutual settlement type uuid
productsobject[]
products[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberтакThe amount of items
products[].pricenumberThe price of the item/document
products[].sumnumberThe sum of the document
products[].expenseSumnumberExpense amount allocated to this product line
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
products[].VATamountnumberThe amount of the VAT
products[].totalnumberLine total including VAT
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].baseDocumentstring (uuid)Base document uuid for this product line
expensesobject[]
expenses[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
expenses[].quantitynumberтакThe amount of items
expenses[].pricenumberThe price of the item/document
expenses[].sumnumberThe sum of the document
expenses[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
expenses[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
expenses[].VATamountnumberThe amount of the VAT
expenses[].totalnumberLine total including VAT
paymentCalendarobject[]
paymentCalendar[].receiptDatestringтакThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
paymentCalendar[].receiptSumnumberтакPlanned receipt amount

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.